OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_SpecificLib Class Reference

`#include <IGESData_SpecificLib.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_SpecificLib (const Handle(IGESData_Protocol)&aprotocol)
Standard_EXPORT | IGESData_SpecificLib ()
Standard_EXPORT void | AddProtocol (const Handle(Standard_Transient)&aprotocol)
Standard_EXPORT void | Clear ()
Standard_EXPORT void | SetComplete ()
Standard_EXPORT Standard_Boolean | Select (const Handle(IGESData_IGESEntity)&obj, Handle(IGESData_SpecificModule)&module, Standard_Integer &CN) const
Standard_EXPORT void | Start ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_IGESData_SpecificModule & | Module () const
Standard_EXPORT const Handle_IGESData_Protocol & | Protocol () const
## Static Public Member Functions
static Standard_EXPORT void | SetGlobal (const Handle(IGESData_SpecificModule)&amodule, const Handle(IGESData_Protocol)&aprotocol)
## Private Attributes
Handle_IGESData_NodeOfSpecificLib | thelist
Handle_IGESData_NodeOfSpecificLib | thecurr

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_SpecificLib::IGESData_SpecificLib | ( | const Handle(IGESData_Protocol)& | aprotocol | ) |

Standard_EXPORT IGESData_SpecificLib::IGESData_SpecificLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESData_SpecificLib::AddProtocol | ( | const Handle(Standard_Transient)& | aprotocol | ) |

Standard_EXPORT void IGESData_SpecificLib::Clear | ( |  | ) |

Standard_EXPORT const Handle_IGESData_SpecificModule& IGESData_SpecificLib::Module | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESData_SpecificLib::More | ( |  | ) | const

Standard_EXPORT void IGESData_SpecificLib::Next | ( |  | ) |

void IGESData_SpecificLib::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_SpecificLib::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_SpecificLib::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_IGESData_Protocol& IGESData_SpecificLib::Protocol | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESData_SpecificLib::Select | ( | const Handle(IGESData_IGESEntity)& | obj,
|  | Handle(IGESData_SpecificModule)& | module,
|  | Standard_Integer & | CN
| ) | const

Standard_EXPORT void IGESData_SpecificLib::SetComplete | ( |  | ) |

static Standard_EXPORT void IGESData_SpecificLib::SetGlobal | ( | const Handle(IGESData_SpecificModule)& | amodule,
|  | const Handle(IGESData_Protocol)& | aprotocol
| ) | `[static]`

Standard_EXPORT void IGESData_SpecificLib::Start | ( |  | ) |

## Field Documentation

Handle_IGESData_NodeOfSpecificLib IGESData_SpecificLib::thecurr`[private]`

Handle_IGESData_NodeOfSpecificLib IGESData_SpecificLib::thelist`[private]`

The documentation for this class was generated from the following file:

- IGESData_SpecificLib.hxx